--- old/usr/src/test/zfs-tests/tests/functional/xattr/xattr_011_pos.ksh	Wed Aug 31 16:21:41 2016
+++ new/usr/src/test/zfs-tests/tests/functional/xattr/xattr_011_pos.ksh	Wed Aug 31 16:21:41 2016
@@ -24,11 +24,11 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,7 +48,7 @@
 
 function cleanup {
 
-	log_must $RM $TESTDIR/myfile.$$
+	log_must rm $TESTDIR/myfile.$$
 }
 
 log_assert "Basic applications work with xattrs: cpio cp find mv pax tar"
@@ -56,7 +56,7 @@
 
 # Create a file, and set an xattr on it. This file is used in several of the
 # test scenarios below.
-log_must $TOUCH $TESTDIR/myfile.$$
+log_must touch $TESTDIR/myfile.$$
 create_xattr $TESTDIR/myfile.$$ passwd /etc/passwd
 
 
@@ -67,40 +67,40 @@
 
 
 log_note "Checking cpio"
-log_must $TOUCH $TESTDIR/cpio.$$
+log_must touch $TESTDIR/cpio.$$
 create_xattr $TESTDIR/cpio.$$ passwd /etc/passwd
-$ECHO $TESTDIR/cpio.$$ | $CPIO -o@ > /tmp/xattr.$$.cpio
-$ECHO $TESTDIR/cpio.$$ | $CPIO -o > /tmp/noxattr.$$.cpio
+echo $TESTDIR/cpio.$$ | cpio -o@ > /tmp/xattr.$$.cpio
+echo $TESTDIR/cpio.$$ | cpio -o > /tmp/noxattr.$$.cpio
 
 # we should have no xattr here
-log_must $CPIO -iu < /tmp/xattr.$$.cpio
-log_mustnot eval "$RUNAT $TESTDIR/cpio.$$ $CAT passwd > /dev/null 2>&1"
+log_must cpio -iu < /tmp/xattr.$$.cpio
+log_mustnot eval "runat $TESTDIR/cpio.$$ cat passwd > /dev/null 2>&1"
 
 # we should have an xattr here
-log_must $CPIO -iu@ < /tmp/xattr.$$.cpio
-log_must eval "$RUNAT $TESTDIR/cpio.$$ $CAT passwd > /dev/null 2>&1"
+log_must cpio -iu@ < /tmp/xattr.$$.cpio
+log_must eval "runat $TESTDIR/cpio.$$ cat passwd > /dev/null 2>&1"
 
 # we should have no xattr here
-log_must $CPIO -iu < /tmp/noxattr.$$.cpio
-log_mustnot eval "$RUNAT $TESTDIR/cpio.$$ $CAT passwd > /dev/null 2>&1"
+log_must cpio -iu < /tmp/noxattr.$$.cpio
+log_mustnot eval "runat $TESTDIR/cpio.$$ cat passwd > /dev/null 2>&1"
 
 # we should have no xattr here
-log_must $CPIO -iu@ < /tmp/noxattr.$$.cpio
-log_mustnot eval "$RUNAT $TESTDIR/cpio.$$ $CAT passwd > /dev/null 2>&1"
-log_must $RM $TESTDIR/cpio.$$ /tmp/xattr.$$.cpio /tmp/noxattr.$$.cpio
+log_must cpio -iu@ < /tmp/noxattr.$$.cpio
+log_mustnot eval "runat $TESTDIR/cpio.$$ cat passwd > /dev/null 2>&1"
+log_must rm $TESTDIR/cpio.$$ /tmp/xattr.$$.cpio /tmp/noxattr.$$.cpio
 
 
 
 log_note "Checking cp"
 # check that with the right flag, the xattr is preserved
-log_must $CP -@ $TESTDIR/myfile.$$ $TESTDIR/myfile2.$$
+log_must cp -@ $TESTDIR/myfile.$$ $TESTDIR/myfile2.$$
 compare_xattrs $TESTDIR/myfile.$$ $TESTDIR/myfile2.$$ passwd
-log_must $RM $TESTDIR/myfile2.$$
+log_must rm $TESTDIR/myfile2.$$
 
 # without the right flag, there should be no xattr
-log_must $CP $TESTDIR/myfile.$$ $TESTDIR/myfile2.$$
-log_mustnot eval "$RUNAT $TESTDIR/myfile2.$$ $LS passwd > /dev/null 2>&1"
-log_must $RM $TESTDIR/myfile2.$$
+log_must cp $TESTDIR/myfile.$$ $TESTDIR/myfile2.$$
+log_mustnot eval "runat $TESTDIR/myfile2.$$ ls passwd > /dev/null 2>&1"
+log_must rm $TESTDIR/myfile2.$$
 
 
 
@@ -107,16 +107,16 @@
 log_note "Checking find"
 # create a file without xattrs, and check that find -xattr only finds
 # our test file that has an xattr.
-log_must $MKDIR $TESTDIR/noxattrs
-log_must $TOUCH $TESTDIR/noxattrs/no-xattr
+log_must mkdir $TESTDIR/noxattrs
+log_must touch $TESTDIR/noxattrs/no-xattr
 
-$FIND $TESTDIR -xattr | $GREP myfile.$$
+find $TESTDIR -xattr | grep myfile.$$
 [[ $? -ne 0 ]] && \
 	log_fail "find -xattr didn't find our file that had an xattr."
-$FIND $TESTDIR -xattr | $GREP no-xattr
+find $TESTDIR -xattr | grep no-xattr
 [[ $? -eq 0 ]] && \
 	log_fail "find -xattr found a file that didn't have an xattr."
-log_must $RM -rf $TESTDIR/noxattrs
+log_must rm -rf $TESTDIR/noxattrs
 
 
 
@@ -123,71 +123,71 @@
 log_note "Checking mv"
 # mv doesn't have any flags to preserve/ommit xattrs - they're
 # always moved.
-log_must $TOUCH $TESTDIR/mvfile.$$
+log_must touch $TESTDIR/mvfile.$$
 create_xattr $TESTDIR/mvfile.$$ passwd /etc/passwd
-log_must $MV $TESTDIR/mvfile.$$ $TESTDIR/mvfile2.$$
+log_must mv $TESTDIR/mvfile.$$ $TESTDIR/mvfile2.$$
 verify_xattr $TESTDIR/mvfile2.$$ passwd /etc/passwd
-log_must $RM $TESTDIR/mvfile2.$$
+log_must rm $TESTDIR/mvfile2.$$
 
 
 log_note "Checking pax"
-log_must $TOUCH $TESTDIR/pax.$$
+log_must touch $TESTDIR/pax.$$
 create_xattr $TESTDIR/pax.$$ passwd /etc/passwd
-log_must $PAX -w -f $TESTDIR/noxattr.pax $TESTDIR/pax.$$
-log_must $PAX -w@ -f $TESTDIR/xattr.pax $TESTDIR/pax.$$
-log_must $RM $TESTDIR/pax.$$
+log_must pax -w -f $TESTDIR/noxattr.pax $TESTDIR/pax.$$
+log_must pax -w@ -f $TESTDIR/xattr.pax $TESTDIR/pax.$$
+log_must rm $TESTDIR/pax.$$
 
 # we should have no xattr here
-log_must $PAX -r -f $TESTDIR/noxattr.pax
-log_mustnot eval "$RUNAT $TESTDIR/pax.$$ $CAT passwd > /dev/null 2>&1"
-log_must $RM $TESTDIR/pax.$$
+log_must pax -r -f $TESTDIR/noxattr.pax
+log_mustnot eval "runat $TESTDIR/pax.$$ cat passwd > /dev/null 2>&1"
+log_must rm $TESTDIR/pax.$$
 
 # we should have no xattr here
-log_must $PAX -r@ -f $TESTDIR/noxattr.pax
-log_mustnot eval "$RUNAT $TESTDIR/pax.$$ $CAT passwd > /dev/null 2>&1"
-log_must $RM $TESTDIR/pax.$$
+log_must pax -r@ -f $TESTDIR/noxattr.pax
+log_mustnot eval "runat $TESTDIR/pax.$$ cat passwd > /dev/null 2>&1"
+log_must rm $TESTDIR/pax.$$
 
 
 # we should have an xattr here
-log_must $PAX -r@ -f $TESTDIR/xattr.pax
+log_must pax -r@ -f $TESTDIR/xattr.pax
 verify_xattr $TESTDIR/pax.$$ passwd /etc/passwd
-log_must $RM $TESTDIR/pax.$$
+log_must rm $TESTDIR/pax.$$
 
 # we should have no xattr here
-log_must $PAX -r -f $TESTDIR/xattr.pax $TESTDIR
-log_mustnot eval "$RUNAT $TESTDIR/pax.$$ $CAT passwd > /dev/null 2>&1"
-log_must $RM $TESTDIR/pax.$$ $TESTDIR/noxattr.pax $TESTDIR/xattr.pax
+log_must pax -r -f $TESTDIR/xattr.pax $TESTDIR
+log_mustnot eval "runat $TESTDIR/pax.$$ cat passwd > /dev/null 2>&1"
+log_must rm $TESTDIR/pax.$$ $TESTDIR/noxattr.pax $TESTDIR/xattr.pax
 
 
 log_note "Checking tar"
-log_must $TOUCH $TESTDIR/tar.$$
+log_must touch $TESTDIR/tar.$$
 create_xattr $TESTDIR/tar.$$ passwd /etc/passwd
 
 log_must cd $TESTDIR
 
-log_must $TAR cf noxattr.tar tar.$$
-log_must $TAR c@f xattr.tar tar.$$
-log_must $RM $TESTDIR/tar.$$
+log_must tar cf noxattr.tar tar.$$
+log_must tar c@f xattr.tar tar.$$
+log_must rm $TESTDIR/tar.$$
 
 # we should have no xattr here
-log_must $TAR xf xattr.tar
-log_mustnot eval "$RUNAT $TESTDIR/tar.$$ $CAT passwd > /dev/null 2>&1"
-log_must $RM $TESTDIR/tar.$$
+log_must tar xf xattr.tar
+log_mustnot eval "runat $TESTDIR/tar.$$ cat passwd > /dev/null 2>&1"
+log_must rm $TESTDIR/tar.$$
 
 # we should have an xattr here
-log_must $TAR x@f xattr.tar
+log_must tar x@f xattr.tar
 verify_xattr tar.$$ passwd /etc/passwd
-log_must $RM $TESTDIR/tar.$$
+log_must rm $TESTDIR/tar.$$
 
 # we should have no xattr here
-log_must $TAR xf $TESTDIR/noxattr.tar
-log_mustnot eval "$RUNAT $TESTDIR/tar.$$ $CAT passwd > /dev/null 2>&1"
-log_must $RM $TESTDIR/tar.$$
+log_must tar xf $TESTDIR/noxattr.tar
+log_mustnot eval "runat $TESTDIR/tar.$$ cat passwd > /dev/null 2>&1"
+log_must rm $TESTDIR/tar.$$
 
 # we should have no xattr here
-log_must $TAR x@f $TESTDIR/noxattr.tar
-log_mustnot eval "$RUNAT $TESTDIR/tar.$$ $CAT passwd > /dev/null 2>&1"
-log_must $RM $TESTDIR/tar.$$ $TESTDIR/noxattr.tar $TESTDIR/xattr.tar
+log_must tar x@f $TESTDIR/noxattr.tar
+log_mustnot eval "runat $TESTDIR/tar.$$ cat passwd > /dev/null 2>&1"
+log_must rm $TESTDIR/tar.$$ $TESTDIR/noxattr.tar $TESTDIR/xattr.tar
 
 
 log_assert "Basic applications work with xattrs: cpio cp find mv pax tar"
--- old/usr/src/test/zfs-tests/tests/functional/xattr/xattr_012_pos.ksh	Wed Aug 31 16:21:41 2016
+++ new/usr/src/test/zfs-tests/tests/functional/xattr/xattr_012_pos.ksh	Wed Aug 31 16:21:41 2016
@@ -24,11 +24,11 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,18 +46,18 @@
 #
 
 function cleanup {
-	log_must $RM $TESTDIR/myfile.$$
+	log_must rm $TESTDIR/myfile.$$
 }
 
 function get_pool_size {
 	poolname=$1
-	psize=$($ZPOOL list -H -o allocated $poolname)
+	psize=$(zpool list -H -o allocated $poolname)
 	if [[ $psize == *[mM] ]]
 	then
-		returnvalue=$($ECHO $psize | $SED -e 's/m//g' -e 's/M//g')
+		returnvalue=$(echo $psize | sed -e 's/m//g' -e 's/M//g')
 		returnvalue=$((returnvalue * 1024))
 	else
-		returnvalue=$($ECHO $psize | $SED -e 's/k//g' -e 's/K//g')
+		returnvalue=$(echo $psize | sed -e 's/k//g' -e 's/K//g')
 	fi
 	echo $returnvalue
 }
@@ -65,7 +65,7 @@
 log_assert "xattr file sizes count towards normal disk usage"
 log_onexit cleanup
 
-log_must $TOUCH $TESTDIR/myfile.$$
+log_must touch $TESTDIR/myfile.$$
 
 POOL_SIZE=0
 NEW_POOL_SIZE=0
@@ -77,12 +77,12 @@
 	POOL_SIZE=$(get_pool_size $TESTPOOL)
 fi
 
-FS_SIZE=$($ZFS get -p -H -o value used $TESTPOOL/$TESTFS)
+FS_SIZE=$(zfs get -p -H -o value used $TESTPOOL/$TESTFS)
 
-log_must $RUNAT $TESTDIR/myfile.$$ $MKFILE 200m xattr
+log_must runat $TESTDIR/myfile.$$ mkfile 200m xattr
 
 #Make sure the newly created file is counted into zpool usage
-log_must $SYNC
+log_must sync
 
 # now check to see if our pool disk usage has increased
 if is_global_zone
@@ -95,7 +95,7 @@
 fi
 
 # also make sure our filesystem usage has increased
-NEW_FS_SIZE=$($ZFS get -p -H -o value used $TESTPOOL/$TESTFS)
+NEW_FS_SIZE=$(zfs get -p -H -o value used $TESTPOOL/$TESTFS)
 (($NEW_FS_SIZE <= $FS_SIZE)) && \
     log_fail "The new filesystem size $NEW_FS_SIZE was less \
     than or equal to the old filesystem size $FS_SIZE."
--- old/usr/src/test/zfs-tests/tests/functional/xattr/xattr_013_pos.ksh	Wed Aug 31 16:21:41 2016
+++ new/usr/src/test/zfs-tests/tests/functional/xattr/xattr_013_pos.ksh	Wed Aug 31 16:21:41 2016
@@ -24,7 +24,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -45,7 +45,7 @@
 
 function cleanup {
 
-	log_must $RM $TESTDIR/myfile.$$
+	log_must rm $TESTDIR/myfile.$$
 }
 
 
@@ -52,30 +52,30 @@
 log_assert "The noxattr mount option functions as expected"
 log_onexit cleanup
 
-$ZFS set 2>&1 | $GREP xattr > /dev/null
+zfs set 2>&1 | grep xattr > /dev/null
 if [ $? -ne 0 ]
 then
 	log_unsupported "noxattr mount option not supported on this release."
 fi
 
-log_must $TOUCH $TESTDIR/myfile.$$
+log_must touch $TESTDIR/myfile.$$
 create_xattr $TESTDIR/myfile.$$ passwd /etc/passwd
 
-log_must $UMOUNT $TESTDIR
-log_must $ZFS mount -o noxattr $TESTPOOL/$TESTFS
+log_must umount $TESTDIR
+log_must zfs mount -o noxattr $TESTPOOL/$TESTFS
 
 # check that we can't perform xattr operations
-log_mustnot eval "$RUNAT $TESTDIR/myfile.$$ $CAT passwd > /dev/null 2>&1"
-log_mustnot eval "$RUNAT $TESTDIR/myfile.$$ $RM passwd > /dev/null 2>&1"
-log_mustnot eval "$RUNAT $TESTDIR/myfile.$$ $CP /etc/passwd . > /dev/null 2>&1"
+log_mustnot eval "runat $TESTDIR/myfile.$$ cat passwd > /dev/null 2>&1"
+log_mustnot eval "runat $TESTDIR/myfile.$$ rm passwd > /dev/null 2>&1"
+log_mustnot eval "runat $TESTDIR/myfile.$$ cp /etc/passwd . > /dev/null 2>&1"
 
-log_must $TOUCH $TESTDIR/new.$$
-log_mustnot eval "$RUNAT $TESTDIR/new.$$ $CP /etc/passwd . > /dev/null 2>&1"
-log_mustnot eval "$RUNAT $TESTDIR/new.$$ $RM passwd > /dev/null 2>&1"
+log_must touch $TESTDIR/new.$$
+log_mustnot eval "runat $TESTDIR/new.$$ cp /etc/passwd . > /dev/null 2>&1"
+log_mustnot eval "runat $TESTDIR/new.$$ rm passwd > /dev/null 2>&1"
 
 # now mount the filesystem again as normal
-log_must $UMOUNT $TESTDIR
-log_must $ZFS mount $TESTPOOL/$TESTFS
+log_must umount $TESTDIR
+log_must zfs mount $TESTPOOL/$TESTFS
 
 # we should still have an xattr on the first file
 verify_xattr $TESTDIR/myfile.$$ passwd /etc/passwd
@@ -82,7 +82,7 @@
 
 # there should be no xattr on the file we created while the fs was mounted
 # -o noxattr
-log_mustnot eval "$RUNAT $TESTDIR/new.$$ $CAT passwd > /dev/null 2>&1"
+log_mustnot eval "runat $TESTDIR/new.$$ cat passwd > /dev/null 2>&1"
 create_xattr $TESTDIR/new.$$ passwd /etc/passwd
 
 log_pass "The noxattr mount option functions as expected"
--- old/usr/src/test/zfs-tests/tests/functional/xattr/xattr_common.kshlib	Wed Aug 31 16:21:41 2016
+++ new/usr/src/test/zfs-tests/tests/functional/xattr/xattr_common.kshlib	Wed Aug 31 16:21:41 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -39,9 +39,9 @@
 	typeset XATTR_CONTENTS=$3
 
 	# read any empty xattr on that file
-	log_must $RUNAT $FILE $LS
+	log_must runat $FILE ls
 	# create the xattr
-	log_must $RUNAT $FILE $CP $XATTR_CONTENTS $XATTR_NAME
+	log_must runat $FILE cp $XATTR_CONTENTS $XATTR_NAME
 
 	verify_xattr $FILE $XATTR_NAME $XATTR_CONTENTS
 }
@@ -53,11 +53,11 @@
 	typeset FILE2=$2
 	typeset XATTR_NAME=$3
 
-	$RUNAT $FILE1 $CAT $XATTR_NAME > /tmp/file1.$$
-	$RUNAT $FILE2 $CAT $XATTR_NAME > /tmp/file2.$$
+	runat $FILE1 cat $XATTR_NAME > /tmp/file1.$$
+	runat $FILE2 cat $XATTR_NAME > /tmp/file2.$$
 
-	log_must $DIFF /tmp/file1.$$ /tmp/file2.$$
-	log_must $RM /tmp/file1.$$ /tmp/file2.$$
+	log_must diff /tmp/file1.$$ /tmp/file2.$$
+	log_must rm /tmp/file1.$$ /tmp/file2.$$
 }
 
 function verify_xattr { # filename xattr_name xattr_contents
@@ -66,9 +66,9 @@
 	typeset XATTR_CONTENTS=$3
 
 	# read the xattr, writing it to a temp file
-	log_must eval "$RUNAT $FILE $CAT $XATTR_NAME > /tmp/$XATTR_NAME.$$ 2>&1"
-	log_must $DIFF $XATTR_CONTENTS /tmp/$XATTR_NAME.$$
-	$RM /tmp/$XATTR_NAME.$$
+	log_must eval "runat $FILE cat $XATTR_NAME > /tmp/$XATTR_NAME.$$ 2>&1"
+	log_must diff $XATTR_CONTENTS /tmp/$XATTR_NAME.$$
+	rm /tmp/$XATTR_NAME.$$
 }
 
 function delete_xattr { # filename xattr_name
@@ -76,8 +76,8 @@
         typeset XATTR_NAME=$2
 
         # delete the xattr
-        log_must $RUNAT $FILE $RM $XATTR_NAME
-        log_mustnot eval "$RUNAT $FILE $LS $XATTR_NAME > /dev/null 2>&1"
+        log_must runat $FILE rm $XATTR_NAME
+        log_mustnot eval "runat $FILE ls $XATTR_NAME > /dev/null 2>&1"
 }
 
 # not sure about this : really this should be testing write/append
@@ -85,11 +85,11 @@
         typeset FILE=$1
         typeset XATTR_NAME=$2
 
-        log_must eval "$RUNAT $FILE $DD if=/etc/passwd of=$XATTR_NAME"
-        log_must eval "$RUNAT $FILE $CAT $XATTR_NAME > /tmp/$XATTR_NAME.$$ 2>&1"
-        log_must $DD if=/etc/passwd of=/tmp/passwd_dd.$$
-        log_must $DIFF /tmp/passwd_dd.$$ /tmp/$XATTR_NAME.$$
-        log_must $RM /tmp/passwd_dd.$$ /tmp/$XATTR_NAME.$$
+        log_must eval "runat $FILE dd if=/etc/passwd of=$XATTR_NAME"
+        log_must eval "runat $FILE cat $XATTR_NAME > /tmp/$XATTR_NAME.$$ 2>&1"
+        log_must dd if=/etc/passwd of=/tmp/passwd_dd.$$
+        log_must diff /tmp/passwd_dd.$$ /tmp/$XATTR_NAME.$$
+        log_must rm /tmp/passwd_dd.$$ /tmp/$XATTR_NAME.$$
 }
 
 # this function is to create the expected output
@@ -97,11 +97,11 @@
    typeset FILE=$1
    shift
    if [[ -f $FILE ]]; then
-      log_must $RM $FILE
+      log_must rm $FILE
    fi
 
    for line in $@
    do
-      log_must eval "$ECHO $line >> $FILE"
+      log_must eval "echo $line >> $FILE"
    done
  }
--- old/usr/src/test/zfs-tests/tests/functional/zvol/zvol_ENOSPC/cleanup.ksh	Wed Aug 31 16:21:41 2016
+++ new/usr/src/test/zfs-tests/tests/functional/zvol/zvol_ENOSPC/cleanup.ksh	Wed Aug 31 16:21:41 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -35,9 +35,9 @@
 verify_runnable "global"
 
 ismounted $TESTDIR ufs
-(( $? == 0 )) && log_must $UMOUNT -f $TESTDIR
+(( $? == 0 )) && log_must umount -f $TESTDIR
 
-[[ -e $TESTDIR ]] && $RM -rf $TESTDIR
+[[ -e $TESTDIR ]] && rm -rf $TESTDIR
 
 default_zvol_cleanup
 
--- old/usr/src/test/zfs-tests/tests/functional/zvol/zvol_ENOSPC/setup.ksh	Wed Aug 31 16:21:41 2016
+++ new/usr/src/test/zfs-tests/tests/functional/zvol/zvol_ENOSPC/setup.ksh	Wed Aug 31 16:21:41 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -36,10 +36,10 @@
 
 default_zvol_setup $DISK $VOLSIZE
 
-$ECHO "y" | $NEWFS -v /dev/zvol/rdsk/$TESTPOOL/$TESTVOL >/dev/null 2>&1
+echo "y" | newfs -v /dev/zvol/rdsk/$TESTPOOL/$TESTVOL >/dev/null 2>&1
 (( $? != 0 )) && log_fail "Unable to newfs(1M) $TESTPOOL/$TESTVOL"
 
-log_must $MKDIR $TESTDIR
-log_must $MOUNT /dev/zvol/dsk/$TESTPOOL/$TESTVOL $TESTDIR
+log_must mkdir $TESTDIR
+log_must mount /dev/zvol/dsk/$TESTPOOL/$TESTVOL $TESTDIR
 
 log_pass
--- old/usr/src/test/zfs-tests/tests/functional/zvol/zvol_ENOSPC/zvol_ENOSPC_001_pos.ksh	Wed Aug 31 16:21:41 2016
+++ new/usr/src/test/zfs-tests/tests/functional/zvol/zvol_ENOSPC/zvol_ENOSPC_001_pos.ksh	Wed Aug 31 16:21:41 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -49,7 +49,7 @@
 
 function cleanup
 {
-	$RM -rf $TESTDIR/*
+	rm -rf $TESTDIR/*
 }
 
 log_assert "A zvol volume will return ENOSPC when the underlying pool " \
@@ -64,7 +64,7 @@
 NUM_WRITES=40
 
 while (( 1 )); do
-        $FILE_WRITE -o create -f $TESTDIR/testfile$$.$fn \
+        file_write -o create -f $TESTDIR/testfile$$.$fn \
             -b $BLOCKSZ -c $NUM_WRITES
         retval=$?
         if (( $retval != 0 )); then
--- old/usr/src/test/zfs-tests/tests/functional/zvol/zvol_cli/zvol_cli_001_pos.ksh	Wed Aug 31 16:21:42 2016
+++ new/usr/src/test/zfs-tests/tests/functional/zvol/zvol_cli/zvol_cli_001_pos.ksh	Wed Aug 31 16:21:42 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -56,7 +56,7 @@
 
 typeset -i i=0
 while (( $i < ${#args[*]} )); do
-	log_must eval "$ZFS ${args[i]} > /dev/null"
+	log_must eval "zfs ${args[i]} > /dev/null"
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/zvol/zvol_cli/zvol_cli_002_pos.ksh	Wed Aug 31 16:21:42 2016
+++ new/usr/src/test/zfs-tests/tests/functional/zvol/zvol_cli/zvol_cli_002_pos.ksh	Wed Aug 31 16:21:42 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -45,7 +45,7 @@
 function cleanup
 {
 	datasetexists $TESTPOOL/$LONGVOLNAME && \
-		$ZFS destroy $TESTPOOL/$LONGVOLNAME
+		zfs destroy $TESTPOOL/$LONGVOLNAME
 }
 
 log_onexit cleanup
@@ -54,7 +54,7 @@
 
 LONGVOLNAME="volumename50charslong_0123456789012345678901234567"
 
-log_must $ZFS create -V $VOLSIZE $TESTPOOL/$LONGVOLNAME
+log_must zfs create -V $VOLSIZE $TESTPOOL/$LONGVOLNAME
 
 datasetexists $TESTPOOL/$LONGVOLNAME || \
 	log_fail "Couldn't find long volume name"
--- old/usr/src/test/zfs-tests/tests/functional/zvol/zvol_cli/zvol_cli_003_neg.ksh	Wed Aug 31 16:21:42 2016
+++ new/usr/src/test/zfs-tests/tests/functional/zvol/zvol_cli/zvol_cli_003_neg.ksh	Wed Aug 31 16:21:42 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -52,7 +52,7 @@
 
 typeset -i i=0
 while (( $i < ${#args[*]} )); do
-	log_mustnot $ZFS ${args[i]}
+	log_mustnot zfs ${args[i]}
 	(( i = i + 1 ))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/zvol/zvol_common.shlib	Wed Aug 31 16:21:42 2016
+++ new/usr/src/test/zfs-tests/tests/functional/zvol/zvol_common.shlib	Wed Aug 31 16:21:42 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,7 +46,7 @@
 
         create_pool $TESTPOOL "$disk"
 
-        log_must $ZFS create -V $size $TESTPOOL/$TESTVOL
+        log_must zfs create -V $size $TESTPOOL/$TESTVOL
 }
 
 #
@@ -56,7 +56,7 @@
 function default_zvol_cleanup
 {
         if datasetexists $TESTPOOL/$TESTVOL ; then
-		log_must $ZFS destroy $TESTPOOL/$TESTVOL
+		log_must zfs destroy $TESTPOOL/$TESTVOL
 	fi
 
         destroy_pool $TESTPOOL
@@ -64,7 +64,7 @@
 
 function get_dumpdevice
 {
-	typeset ret=$($DUMPADM | $GREP "Dump device:" | $AWK '{print $3}')
+	typeset ret=$(dumpadm | grep "Dump device:" | awk '{print $3}')
 	echo $ret
 }
 
@@ -77,15 +77,15 @@
 		return 1
 	fi
 
-	log_must $ZFS set volsize=64m $volume
+	log_must zfs set volsize=64m $volume
 
-	output=$($DUMPADM -d /dev/zvol/dsk/$volume 2>&1 | \
-			$TAIL -1 | $AWK '{print $3}')
+	output=$(dumpadm -d /dev/zvol/dsk/$volume 2>&1 | \
+			tail -1 | awk '{print $3}')
 
 	if [[ -n $output ]]; then
 		(( output = output / 1024 / 1024 ))
 		(( output = output + output / 5 ))
-		log_must $ZFS set volsize=${output}m $volume
+		log_must zfs set volsize=${output}m $volume
 	fi
 	return 0
 }
@@ -101,13 +101,13 @@
 	if [[ $device == "/dev/zvol/dsk/"* ]] ; then
 		typeset volume=${device#/dev/zvol/dsk/}
 		set_dumpsize $volume
-		log_must $DUMPADM -d $device
+		log_must dumpadm -d $device
 	else
-		log_must $SWAPADD
+		log_must swapadd
 		if ! is_swap_inuse $device ; then
-			log_must $SWAP -a $device
+			log_must swap -a $device
 		fi
-		log_must $DUMPADM -d swap
+		log_must dumpadm -d swap
 	fi
 }
 
@@ -120,7 +120,7 @@
 		return 1
 	fi
 
-	$ZDB -dddd $volume 2 | $GREP "dumpsize" > /dev/null 2>&1
+	zdb -dddd $volume 2 | grep "dumpsize" > /dev/null 2>&1
 	return $?
 }
 
@@ -133,6 +133,6 @@
 		return 1
 	fi
 
-	$SWAP -l | $GREP -w $device > /dev/null 2>&1
+	swap -l | grep -w $device > /dev/null 2>&1
 	return $?
 }
--- old/usr/src/test/zfs-tests/tests/functional/zvol/zvol_misc/zvol_misc_001_neg.ksh	Wed Aug 31 16:21:42 2016
+++ new/usr/src/test/zfs-tests/tests/functional/zvol/zvol_misc/zvol_misc_001_neg.ksh	Wed Aug 31 16:21:42 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 # Copyright 2016 Nexenta Systems, Inc.
 #
 
@@ -45,7 +45,7 @@
 
 verify_runnable "global"
 
-volsize=$($ZFS get -H -o value volsize $TESTPOOL/$TESTVOL)
+volsize=$(zfs get -H -o value volsize $TESTPOOL/$TESTVOL)
 
 function cleanup
 {
@@ -54,7 +54,7 @@
 	if [[ $dumpdev != $savedumpdev ]] ; then
 		safe_dumpadm $savedumpdev
 	fi
-	$ZFS set volsize=$volsize $TESTPOOL/$TESTVOL
+	zfs set volsize=$volsize $TESTPOOL/$TESTVOL
 }
 
 log_assert "Verify that a ZFS volume can act as dump device."
--- old/usr/src/test/zfs-tests/tests/functional/zvol/zvol_misc/zvol_misc_002_pos.ksh	Wed Aug 31 16:21:42 2016
+++ new/usr/src/test/zfs-tests/tests/functional/zvol/zvol_misc/zvol_misc_002_pos.ksh	Wed Aug 31 16:21:42 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 # Copyright 2016 Nexenta Systems, Inc.
 #
 
@@ -44,18 +44,18 @@
 
 verify_runnable "global"
 
-volsize=$($ZFS get -H -o value volsize $TESTPOOL/$TESTVOL)
+volsize=$(zfs get -H -o value volsize $TESTPOOL/$TESTVOL)
 
 function cleanup
 {
 	snapexists $TESTPOOL/$TESTVOL@snap && \
-		$ZFS destroy $TESTPOOL/$TESTVOL@snap
+		zfs destroy $TESTPOOL/$TESTVOL@snap
 
 	ismounted $TESTDIR ufs
-	(( $? == 0 )) && log_must $UMOUNT $TESTDIR
+	(( $? == 0 )) && log_must umount $TESTDIR
 
-	[[ -e $TESTDIR ]] && $RM -rf $TESTDIR
-	$ZFS set volsize=$volsize $TESTPOOL/$TESTVOL
+	[[ -e $TESTDIR ]] && rm -rf $TESTDIR
+	zfs set volsize=$volsize $TESTPOOL/$TESTVOL
 }
 
 log_assert "Verify that ZFS volume snapshot could be fscked"
@@ -65,19 +65,19 @@
 BLOCKSZ=$(( 1024 * 1024 ))
 NUM_WRITES=40
 
-log_must $ZFS set volsize=128m $TESTPOOL/$TESTVOL
+log_must zfs set volsize=128m $TESTPOOL/$TESTVOL
 
-$ECHO "y" | $NEWFS -v /dev/zvol/rdsk/$TESTPOOL/$TESTVOL >/dev/null 2>&1
+echo "y" | newfs -v /dev/zvol/rdsk/$TESTPOOL/$TESTVOL >/dev/null 2>&1
 (( $? != 0 )) && log_fail "Unable to newfs(1M) $TESTPOOL/$TESTVOL"
 
-log_must $MKDIR $TESTDIR
-log_must $MOUNT /dev/zvol/dsk/$TESTPOOL/$TESTVOL $TESTDIR
+log_must mkdir $TESTDIR
+log_must mount /dev/zvol/dsk/$TESTPOOL/$TESTVOL $TESTDIR
 
 typeset -i fn=0
 typeset -i retval=0
 
 while (( 1 )); do
-        $FILE_WRITE -o create -f $TESTDIR/testfile$$.$fn \
+        file_write -o create -f $TESTDIR/testfile$$.$fn \
             -b $BLOCKSZ -c $NUM_WRITES
         retval=$?
         if (( $retval != 0 )); then
@@ -87,8 +87,8 @@
         (( fn = fn + 1 ))
 done
 
-log_must $LOCKFS -f $TESTDIR
-log_must $ZFS snapshot $TESTPOOL/$TESTVOL@snap
+log_must lockfs -f $TESTDIR
+log_must zfs snapshot $TESTPOOL/$TESTVOL@snap
 
 $FSCK -n /dev/zvol/rdsk/$TESTPOOL/$TESTVOL@snap >/dev/null 2>&1
 retval=$?
--- old/usr/src/test/zfs-tests/tests/functional/zvol/zvol_misc/zvol_misc_003_neg.ksh	Wed Aug 31 16:21:42 2016
+++ new/usr/src/test/zfs-tests/tests/functional/zvol/zvol_misc/zvol_misc_003_neg.ksh	Wed Aug 31 16:21:42 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 # Copyright 2016 Nexenta Systems, Inc.
 #
 
@@ -46,7 +46,7 @@
 
 verify_runnable "global"
 
-volsize=$($ZFS get -H -o value volsize $TESTPOOL/$TESTVOL)
+volsize=$(zfs get -H -o value volsize $TESTPOOL/$TESTVOL)
 
 function cleanup
 {
@@ -58,7 +58,7 @@
 	if poolexists $TESTPOOL1 ; then
 		destroy_pool $TESTPOOL1
 	fi
-	$ZFS set volsize=$volsize $TESTPOOL/$TESTVOL
+	zfs set volsize=$volsize $TESTPOOL/$TESTVOL
 }
 
 log_assert "Verify zpool creation and newfs on dump zvol is denied."
@@ -70,11 +70,11 @@
 safe_dumpadm $voldev
 
 unset NOINUSE_CHECK
-$ECHO "y" | $NEWFS -v $voldev > /dev/null 2>&1
+echo "y" | newfs -v $voldev > /dev/null 2>&1
 if (( $? == 0 )) ; then
 	log_fail "newfs on dump zvol succeeded unexpectedly"
 fi
 
-log_mustnot $ZPOOL create $TESTPOOL1 $voldev
+log_mustnot zpool create $TESTPOOL1 $voldev
 
 log_pass "Verify zpool creation and newfs on dump zvol is denied."
--- old/usr/src/test/zfs-tests/tests/functional/zvol/zvol_misc/zvol_misc_004_pos.ksh	Wed Aug 31 16:21:42 2016
+++ new/usr/src/test/zfs-tests/tests/functional/zvol/zvol_misc/zvol_misc_004_pos.ksh	Wed Aug 31 16:21:42 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 # Copyright 2016 Nexenta Systems, Inc.
 #
 
@@ -45,7 +45,7 @@
 
 verify_runnable "global"
 
-volsize=$($ZFS get -H -o value volsize $TESTPOOL/$TESTVOL)
+volsize=$(zfs get -H -o value volsize $TESTPOOL/$TESTVOL)
 
 function cleanup
 {
@@ -54,18 +54,18 @@
 		safe_dumpadm $savedumpdev
 	fi
 
-	$SWAP -l | $GREP -w $voldev > /dev/null 2>&1
+	swap -l | grep -w $voldev > /dev/null 2>&1
         if (( $? == 0 ));  then
-		log_must $SWAP -d $voldev
+		log_must swap -d $voldev
 	fi
 
 	typeset snap
 	for snap in snap0 snap1 ; do
 		if datasetexists $TESTPOOL/$TESTVOL@$snap ; then
-			log_must $ZFS destroy $TESTPOOL/$TESTVOL@$snap
+			log_must zfs destroy $TESTPOOL/$TESTVOL@$snap
 		fi
 	done
-	$ZFS set volsize=$volsize $TESTPOOL/$TESTVOL
+	zfs set volsize=$volsize $TESTPOOL/$TESTVOL
 }
 
 function verify_snapshot
@@ -72,17 +72,17 @@
 {
 	typeset volume=$1
 
-	log_must $ZFS snapshot $volume@snap0
-	log_must $ZFS snapshot $volume@snap1
+	log_must zfs snapshot $volume@snap0
+	log_must zfs snapshot $volume@snap1
 	log_must datasetexists $volume@snap0 $volume@snap1
 
-	log_must $ZFS destroy $volume@snap1
-	log_must $ZFS snapshot $volume@snap1
+	log_must zfs destroy $volume@snap1
+	log_must zfs snapshot $volume@snap1
 
-	log_mustnot $ZFS rollback -r $volume@snap0
+	log_mustnot zfs rollback -r $volume@snap0
 	log_must datasetexists $volume@snap0
 
-	log_must $ZFS destroy -r $volume@snap0
+	log_must zfs destroy -r $volume@snap0
 }
 
 log_assert "Verify the ability to take snapshots of zvols used as dump or swap."
@@ -102,12 +102,12 @@
 
 # create snapshot over swap zvol
 
-log_must $SWAP -a $voldev
+log_must swap -a $voldev
 log_mustnot is_zvol_dumpified $TESTPOOL/$TESTVOL
 
 verify_snapshot $TESTPOOL/$TESTVOL
 
-log_must $SWAP -d $voldev
+log_must swap -d $voldev
 log_mustnot is_zvol_dumpified $TESTPOOL/$TESTVOL
 
 log_pass "Creating snapshots from dump/swap zvols succeeds."
--- old/usr/src/test/zfs-tests/tests/functional/zvol/zvol_misc/zvol_misc_005_neg.ksh	Wed Aug 31 16:21:42 2016
+++ new/usr/src/test/zfs-tests/tests/functional/zvol/zvol_misc/zvol_misc_005_neg.ksh	Wed Aug 31 16:21:42 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 # Copyright 2016 Nexenta Systems, Inc.
 #
 
@@ -45,13 +45,13 @@
 
 verify_runnable "global"
 
-volsize=$($ZFS get -H -o value volsize $TESTPOOL/$TESTVOL)
+volsize=$(zfs get -H -o value volsize $TESTPOOL/$TESTVOL)
 
 function cleanup
 {
-	$SWAP -l | $GREP $voldev > /dev/null 2>&1
+	swap -l | grep $voldev > /dev/null 2>&1
 	if (( $? == 0 )) ; then
-		log_must $SWAP -d $voldev
+		log_must swap -d $voldev
 	fi
 
 	typeset dumpdev=$(get_dumpdevice)
@@ -58,7 +58,7 @@
 	if [[ $dumpdev != $savedumpdev ]] ; then
 		safe_dumpadm $savedumpdev
 	fi
-	$ZFS set volsize=$volsize $TESTPOOL/$TESTVOL
+	zfs set volsize=$volsize $TESTPOOL/$TESTVOL
 }
 
 log_assert "Verify a device cannot be dump and swap at the same time."
@@ -68,12 +68,12 @@
 savedumpdev=$(get_dumpdevice)
 
 # If device in swap list, it cannot be dump device
-log_must $SWAP -a $voldev
-log_mustnot $DUMPADM -d $voldev
-log_must $SWAP -d $voldev
+log_must swap -a $voldev
+log_mustnot dumpadm -d $voldev
+log_must swap -d $voldev
 
 # If device has dedicated as dump device, it cannot add into swap list
 safe_dumpadm $voldev
-log_mustnot $SWAP -a $voldev
+log_mustnot swap -a $voldev
 
 log_pass "A device cannot be dump and swap at the same time."
--- old/usr/src/test/zfs-tests/tests/functional/zvol/zvol_misc/zvol_misc_006_pos.ksh	Wed Aug 31 16:21:42 2016
+++ new/usr/src/test/zfs-tests/tests/functional/zvol/zvol_misc/zvol_misc_006_pos.ksh	Wed Aug 31 16:21:42 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 # Copyright 2016 Nexenta Systems, Inc.
 #
 
@@ -45,7 +45,7 @@
 
 verify_runnable "global"
 
-volsize=$($ZFS get -H -o value volsize $TESTPOOL/$TESTVOL)
+volsize=$(zfs get -H -o value volsize $TESTPOOL/$TESTVOL)
 
 function cleanup
 {
@@ -53,7 +53,7 @@
 	if [[ $dumpdev != $savedumpdev ]] ; then
 		safe_dumpadm $savedumpdev
 	fi
-	$ZFS set volsize=$volsize $TESTPOOL/$TESTVOL
+	zfs set volsize=$volsize $TESTPOOL/$TESTVOL
 }
 
 log_assert "zfs volume as dumpdevice should have 128k volblocksize"
@@ -62,12 +62,12 @@
 voldev=/dev/zvol/dsk/$TESTPOOL/$TESTVOL
 savedumpdev=$(get_dumpdevice)
 
-typeset oblksize=$($ZFS get -H -o value volblocksize $TESTPOOL/$TESTVOL)
+typeset oblksize=$(zfs get -H -o value volblocksize $TESTPOOL/$TESTVOL)
 log_note "original $TESTPOOL/$TESTVOL volblocksize=$oblksize"
 
 safe_dumpadm $voldev
 
-typeset blksize=$($ZFS get -H -o value volblocksize $TESTPOOL/$TESTVOL)
+typeset blksize=$(zfs get -H -o value volblocksize $TESTPOOL/$TESTVOL)
 
 if [[ $blksize != "128K" ]]; then
 	log_fail "ZFS volume $TESTPOOL/$TESTVOL volblocksize=$blksize"
